html {
  font-size: 1.25vw;

  @include mobile {
    font-size: 2.5vw;
  }
}

a {
  color: inherit;

  &:hover {
    color: rgba($color: $primary-color, $alpha: 0.66);
    text-decoration: none;
  }
}

body {
  line-height: 1.2;
  font-family: $primary-font;
  margin: 0;
  color: $primary-color-dark;
  user-select: none;
  background: url(//cdngarenanow-a.akamaihd.net/webth/cdn/rov/rpl2020/bg.jpg) top center / cover no-repeat;
}

.div100vh {
  padding-top: 1%;
  display: flex;
  position: relative;
  flex-direction: column;
  justify-content: space-between;
  @include desktop {
    width: 100%;
  }
}

.app-body {
  width: 90%;
  flex-grow: 1;

  margin: 0 auto;

  display: flex;
  flex-direction: column;
  justify-content: space-between;

  @include mobile {
    width: 100%;
  }
}

@mixin text-prim {
  $shadow_color: rgba($primary-color-dark, 0.66);
  color: $primary-color;
  text-shadow: 0.1em 0.1em 0.2em $shadow_color, 0.1em -0.1em 0.2em $shadow_color, -0.1em -0.1em 0.2em $shadow_color,
    -0.1em 0.1em 0.2em $shadow_color;
}

@mixin bg-grad {
  background: linear-gradient(#041733, #102c59);
}

.btn {
  min-width: 8em;
  line-height: 1.25em;
  margin: 0 0.5rem 1rem;
  padding: 0.5em 1em;
  color: #fff;
  font-family: $secondary-font;
  background: url(//cdngarenanow-a.akamaihd.net/webth/cdn/rov/rpl2020/btn_blue.png) top center / contain no-repeat;

  &-seco {
    min-width: 10em;
    font-size: 3vmin;
    padding: 0.5em 2.5em 0.45em;
    background: url(//cdngarenanow-a.akamaihd.net/webth/cdn/rov/rpl2020/btn_submit_new.jpg) top left / 100% 100% no-repeat;

    @include mobile {
      font-size: 160%;
    }
  }

  img.ico {
    display: inline-block;
    height: 1.2em;
    margin-right: 1em;
  }

  &:hover {
    color: #fff;
    opacity: 0.8;
  }

  &.active {
    background: url(//cdngarenanow-a.akamaihd.net/webth/cdn/rov/rpl2020/btn_red.png) top center / contain no-repeat;
  }

  &.nonactive {
    background: none;
    color: $primary-color;
    border: 1px solid rgba($primary-color, 0.66);
  }
}

.text-prim {
  @include text-prim;
}

.title {
  padding: 0;
  margin-bottom: 0.6em;

  font-size: 1.5em;
  font-weight: bold;
  text-align: center;
  text-transform: uppercase;
  font-family: $secondary-font;

  @include mobile {
    font-size: 2em;
  }
}

.box {
  flex-grow: 1;
  display: flex;
  flex-direction: column;

  margin-bottom: 1em;
  padding-bottom: 1em;

  border: 0.1rem solid #d5b47b;

  background: radial-gradient(ellipse at top, #6d3c00, rgba(black, 0) 45%) center top / 100% 10em no-repeat, #110400;

  @include mobile {
    margin: 0 1em;
  }

  &-title {
    display: flex;
    font-weight: 600;
    text-transform: uppercase;

    padding: 0.7em 1em 0.62em;

    border-top: 0;
    border-left: 0;
    border-right: 0;
    border-bottom: 0.1rem solid #d5b47b;

    margin-bottom: 0.33em;

    @include mobile {
      padding: 0.66em 0;
    }
  }

  &-row {
    display: flex;
    padding: 0.66em 0;

    @include mobile {
      margin: 0 -1em;
      // padding: 0.66em -1em;
    }
  }
}

.ps {
  .ps__ {
    &rail-y {
      // opacity: 0.5;
      &:hover {
        background: none;
      }
    }
    &thumb-y {
      width: 0.4em;
      right: 0.3em;

      &:hover {
        width: 0.4em;
      }
    }
  }
}

.scrollbar {
  flex-grow: 1;
  position: relative;

  .scrollbar-container {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    margin-left: 1em;
    padding-right: 1em;
  }
}

svg {
  user-select: none;
}


.txt__secondfont{
  font-family: $secondary-font;
  font-size: 3vmin;
}